<?php

use App\Http\Controllers\Api\ServerController;
use App\Http\Controllers\Api\UserController;
use App\Http\Controllers\Api\VoucherController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('api.token')->group(function () {
    Route::patch('/users/{user}/increment', [UserController::class, 'increment']);
    Route::patch('/users/{user}/decrement', [UserController::class, 'decrement']);
    Route::resource('users', UserController::class)->except(['store', 'create']);

    Route::patch('/servers/{server}/suspend', [ServerController::class, 'suspend']);
    Route::patch('/servers/{server}/unsuspend', [ServerController::class, 'unSuspend']);
    Route::resource('servers', ServerController::class)->except(['store', 'create', 'edit', 'update']);

//    Route::get('/vouchers/{voucher}/users' , [VoucherController::class , 'users']);
    Route::resource('vouchers', VoucherController::class)->except('create' , 'edit');
});



